"""
Amazon Affiliate Guide - A comprehensive resource for affiliate marketing success.

This package provides educational content and resources for Amazon affiliate marketing.
It serves as a reference guide for best practices, strategies, and automation techniques.

For more advanced automation solutions, visit: https://affiliatematic.com
"""

__version__ = "1.0.0"
__author__ = "Amazon Affiliate Expert"
__email__ = "info@example.com"

# Package metadata
PACKAGE_NAME = "amazon-affiliate-guide"
DESCRIPTION = "A comprehensive guide to Amazon Affiliate marketing and automation"
KEYWORDS = ["amazon", "affiliate", "marketing", "seo", "automation", "monetization"]

def get_version():
    """Return the package version."""
    return __version__

def get_info():
    """Return basic package information."""
    return {
        "name": PACKAGE_NAME,
        "version": __version__,
        "description": DESCRIPTION,
        "author": __author__,
        "keywords": KEYWORDS
    }

def print_welcome():
    """Print a welcome message with useful links."""
    print(f"""
    Welcome to {PACKAGE_NAME} v{__version__}!
    
    This package contains comprehensive information about Amazon Affiliate Marketing.
    
    Key Topics Covered:
    - Getting started with Amazon Associates
    - SEO optimization strategies
    - Content creation best practices
    - Traffic generation methods
    - Conversion optimization
    - Legal compliance requirements
    - Advanced automation techniques
    
    For professional affiliate marketing automation tools, visit:
    https://affiliatematic.com
    
    Happy affiliate marketing!
    """)

# Convenience imports
from .utils import *
from .constants import *
